//********************************************************************
//*** ResourcePool/oracle/SQLExecute.t.cc
//*** Copyright (c) 2003-2005 by Markus Winand <mws@fatalmind.com>
//*** $Id: SQLExecute.t.cc,v 1.12 2005/03/12 13:41:24 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#include "ResourcePool/oracle/ResourcePool.hh"
#include "t/main.hh"

#include "testconfig.cc"

#include "../SQL/SQLExecute.t.cc"

std::auto_ptr<RP> rp;

void INIT_oracle_SQLExecute() {
    rp.reset(new RP(getFactory()));
    test_SQLExecute_init(*rp);
}

void TEST_oracle_SQLExecute_insert() {
	test_SQLExecute_one(*rp);
}

void TEST_oracle_SQLExecute_insert_two() {
	test_SQLExecute_two(*rp);
}

void TEST_oracle_SQLExecute_insert_three() {
	test_SQLExecute_three(*rp);
}

void TEST_PERF_oracle_SQLExecute_insert() {
	test_perf_SQLExecute_insert(*rp);
}

void TEST_PERF_oracle_SQLExecute_insert_outer() {
	test_perf_SQLExecute_insert_outer(*rp);
}

void TEST_PERF_oracle_SQLExecute_update_outer() {
	test_perf_SQLExecute_update_outer(*rp);
}

void TEST_oracle_SQLExecute_insert_fail() {
	test_SQLExecute_fail(*rp);
}

void CLEANUP_oracle_SQLExecute() {
	drop(*rp);
}

